/**
 * REST API for Zero Downtime Migration (Oracle Database Migration Service --ODMS-- as customer-facing service name)
 * Provides users the ability to perform Zero Downtime migration operations
 * OpenAPI spec version: 20200720
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2021, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details about Oracle GoldenGate Microservices.
 *
 */
export interface UpdateGoldenGateHub {
    "restAdminCredentials"?: model.UpdateAdminCredentials;
    "sourceDbAdminCredentials"?: model.UpdateAdminCredentials;
    "sourceContainerDbAdminCredentials"?: model.UpdateAdminCredentials;
    "targetDbAdminCredentials"?: model.UpdateAdminCredentials;
    /**
     * Oracle GoldenGate hub's REST endpoint.
     * Refer to https://docs.oracle.com/en/middleware/goldengate/core/19.1/securing/network.html#GUID-A709DA55-111D-455E-8942-C9BDD1E38CAA
     *
     */
    "url"?: string;
    /**
     * Name of Microservices deployment to operate on source DB
     *
     */
    "sourceMicroservicesDeploymentName"?: string;
    /**
     * Name of Microservices deployment to operate on target DB
     *
     */
    "targetMicroservicesDeploymentName"?: string;
    /**
     * OCID of Golden Gate compute instance. An empty value will remove the stored computeId.
     *
     */
    "computeId"?: string;
}
export declare namespace UpdateGoldenGateHub {
    function getJsonObj(obj: UpdateGoldenGateHub): object;
}
